/* Global */

* {
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Karla', sans-serif;
  font-size: 18px;
  background-color: #FFF;
}

/* Hyperlinks */

a {
  color: #A52A2A;
  text-decoration: none;
  transition: color .15s ease-in-out;
  -moz-transition: color .15s ease-in-out;
  -webkit-transition: color .15s ease-in-out;
}

a:hover {
  color: #000;
}

/* Embeds */

.video {
  display: block;
  position: relative;
  padding-top: 56.25%;
}

.video > iframe {
  position: absolute;
  top: 0px; left: 0px;
  width: 100%; height: 100%;
}

/* Pygments */

div.highlight {
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  border: 1px solid #ddd;
  margin: 1em 0;
  padding: 6px 10px;
  overflow-x: auto;
  overflow-y: auto;
}

pre, code {
  font-family: Consolas, "Liberation Mono", Courier, monospace;
  white-space: normal;
}

div.highlight pre, div.highlight code {
  white-space: pre;
  font-size: 13px;
  line-height: 19px;
}

.header {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

.headerLink {
    float: right;
    padding-left: 30px;
}

.headerTitle {
    float: left;
    font-weight: 700;
    font-size: 28px;
    padding-bottom: 10px;
}

.headerTitleEssay {
    border-bottom: 0.5px solid lightgrey;
    margin-bottom: 25px;
}

.active {
    color: black;
}

/* Site */

.site {
  text-align: left;
  width: 90%;
  max-width: 50em;
  margin: 3em auto 2em;
  line-height: 1.5em;
}

.site .meta {
  color: #aaa;
}

.site .footer {
  font-size: 80%;
  color: #666;
  border-top: 1px solid grey;
  margin-top: 2em;
  overflow: hidden;
}

.site .footer .contact {
  float: left;
  margin-right: 3em;
}

.site .footer .contact a {
  color: #8085C1;
  margin-right: 0.5em;
}

/* Home */

.home {
  font-family: 'Karla', sans-serif;
  font-size: 17px;
}

.home .intro {
  margin-bottom: 1.5em;
  font-size: 1.25em;
  line-height: 1.25em;
  text-align: left;
  font-size: 18px;
}

.home .intro p {
  margin: 0.5em 0;
}

.date {
  font-family: Consolas, "Liberation Mono", Courier, monospace;
  font-size: 0.8em;
  color: grey;
}

.home hr {
  display: block;
  max-width: 30em;
  height: 0.5px;
  border: 0;
  border-top: 0.5px solid lightgrey;
}

.home ul.posts {
  font-family: 'Karla', sans-serif;
  padding-top: 1.5em;
  list-style-type: none;
  font-size: 17px;
}

.home ul.posts li {
  line-height: 1.25em;
  margin-bottom: 1em;
}

.home ul.posts span.date {
  font-family: Consolas, "Liberation Mono", Courier, monospace;
  font-size: 0.8em;
}

@media only screen and (max-width: 38em) {
    body {
      font-size: 16px;
    }
    .home ul.posts span.date {
        display: block;
    }
    .home ul.posts span.dash {
        display: none;
    }
}

/* Bullet list */

.home ul.bullets {
  font-family: 'Karla', sans-serif;
  font-size: 18px;
  list-style-type: disc;
  padding-left: 1.2em;
  line-height: 1.5em;
}

.home ul.bullets li {
  margin-bottom: 0.75em;
}

.home ul.bullets.past {
  color: #999;
}

.home ul.bullets.past a {
  color: #aaa;
}

.home hr.past-divider {
  margin-top: 1em;
  margin-bottom: 1em;
}

/* Posts */

h1.title, .post h1, h2, h3 {
  font-family: "HelveticaNeue-Medium", "Helvetica Neue Medium", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
  font-weight: normal;
  margin: 0.5em 0;
  line-height: 1.2em;
}

.post p {
  margin: 1em 0;
}

.post img {
  max-height: 100%;
  max-width: 100%;
}

.post ul, .post ol {
  margin-left: 1.35em;
}
